import { baseUrl } from "../../../request"

// pages/personCenter/teamManage/teamManage.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    directAgentSize: 0, // 直接代理人数
    teamSize: null,     // 团队人数
    teamEarnings: null, // 团队收益
    invitationCode: "", // 邀请码
    userMemberInfoVOList: []   // 成员列表
  },

  // 获取团队成员信息
  getTeamMembersInfo() {
    wx.request({
      url: baseUrl + '/userMainInfo/query/team',
      method: 'POST',
      header: {
        Authorization: wx.getStorageSync('token')
      },
      success: res => {
        console.log('团队成员信息---->',res.data.data);
        this.setData({
          directAgentSize: res.data.data.directAgentSize,
          teamSize: res.data.data.teamSize,
          teamEarnings: res.data.data.teamEarnings,
          invitationCode: res.data.data.invitationCode,
          userMemberInfoVOList: res.data.data.userMemberInfoVOList
        })
      }
    })
  },

  // 复制邀请码到剪贴板
  copyInvitationCode() {
    wx.setClipboardData({
      data: this.data.invitationCode,
      success() {
        wx.showToast({
          title: '复制成功',
          icon: 'success',
          duration: 1500
        });
      },
      fail() {
        wx.showToast({
          title: '复制失败',
          icon: 'error',
          duration: 1500
        });
      }
    });
  },

  // 跳转抽佣界面
  gotoCommissionSetting() {
    wx.navigateTo({
      url: '/pages/personCenter/commissionSetting/commissionSetting',
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getTeamMembersInfo()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})